QuickSwapBrokerService
Transfer ownership
Make another member the Owner of the broker.
Method
POST
Path
/v1/quickswap/brokers/{broker}/ownership/transfer
Visibility
Authentication
Session token
MFA Requirement
Not required
POST
/v1/quickswap/brokers/{broker}/ownership/transfer Request
Testnet
curl --request POST \ \
--url 'https://api.testnet.polyester.com/v1/quickswap/brokers/value/ownership/transfer' \
--header 'Accept: */*' \
--header 'X-API-KEY-ID: YOUR_API_KEY_ID' \
--header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \
--header 'X-API-SIGNATURE: YOUR_API_SIGNATURE' \
--header 'Content-Type: application/json' \
--data '{
"accountId": "7563897446546"
}'Responses
{} broker string
Broker name.
accountId string
Public account ID of the member who becomes the Owner.
| Key | HTTP status | Connect code | Error | When |
|---|---|---|---|---|
| unauthenticated | 401 | unauthenticated | Unauthenticated | Authentication required. |
| permission-denied | 403 | permission_denied | Permission Denied | Permission denied. |
| invalid-argument | 400 | invalid_argument | Invalid Argument | Invalid argument. |
| not-found | 404 | not_found | Not Found | Not found. |
| unavailable | 503 | unavailable | Unavailable | Service unavailable. |